Skip to main content

View a LinkedIn profile

POST /api/v1/view_profile

This API allows the authenticated user to view a specific LinkedIn profile.

The profile_url parameter should be the LinkedIn profile URL.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.
profile_urlstringrequiredThe URL of the LinkedIn profile.

Sample Request​

{
"accountId": "string",
"profile_url": "string"
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
POST/api/v1/view_profile
x-api-key
x-api-secret